Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.viewer
Class JhoveWindow.InvisibleFilenameFilter

    java.lang.Object
      edu.harvard.hul.ois.jhove.viewer.JhoveWindow.InvisibleFilenameFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  JhoveWindow

    protected class JhoveWindow.InvisibleFilenameFilter

extends java.lang.Object
implements java.io.FilenameFilter

Class to filter out filenames that start with a period. These are "invisible" file names, at least under Unix, and generally shouldn't be included when walking through a directory.

Constructor Summary
`protected` | `JhoveWindow.InvisibleFilenameFilter()`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JhoveWindow.InvisibleFilenameFilter

    protected JhoveWindow.InvisibleFilenameFilter()

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD